<mat-card>
    <mat-card-header>
        <mat-card-title class="title">اطلاعات تجهیرات کاربران
            <button mat-mini-fab color="primary" matTooltip="بازگشت به صفحه قبل" [routerLink]="['/user_equipment']">
        <mat-icon>undo</mat-icon>
      </button>
        </mat-card-title>
    </mat-card-header>
    <mat-card-content>
        <form #f="ngForm" (ngSubmit)="submit()">
            <div class="form-group">
                <!-- user multiselect section  -->
                <mat-form-field>
                    <mat-select [formControl]="userMultiCtrl" placeholder="نام کاربر" [(ngModel)]="user_equipment.user_ID" [multiple]="false" #multiSelectUser>
                        <ngx-mat-select-search [formControl]="userMultiFilterCtrl" [placeholderLabel]='placeholderLabel' [noEntriesFoundLabel]='noEntriesFoundLabel'></ngx-mat-select-search>
                        <mat-option *ngFor="let u of filteredUsersMulti | async" [value]="u.user_ID">{{u.user_Lname}} {{u.user_Fname}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <!-- user multiselect section  -->

                <!-- equipment0 multiselect section  -->
                <mat-form-field>
                    <mat-select [formControl]="equipment0MultiCtrl" placeholder="نوع تجهیزات" [(ngModel)]="user_equipment.equip_ID" [multiple]="false" #multiSelectEquipment0 (selectionChange)="onChangeEQ1($event)">
                        <ngx-mat-select-search [formControl]="equipment0MultiFilterCtrl" [placeholderLabel]='placeholderLabel' [noEntriesFoundLabel]='noEntriesFoundLabel'></ngx-mat-select-search>
                        <mat-option *ngFor="let e of filteredEquipments0Multi | async" [value]="e.equip_ID">{{e.equip_Name}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <!-- equipment0 multiselect section  -->

                <!-- equipment1 multiselect section  -->
                <mat-form-field *ngIf="equipments1?.length > 0">
                    <mat-select [formControl]="equipment1MultiCtrl" placeholder="نوع برند" [(ngModel)]="user_equipment.equip_ID" [multiple]="false" #multiSelectEquipment1 (selectionChange)="onChangeEQ2($event)">
                        <ngx-mat-select-search [formControl]="equipment1MultiFilterCtrl" [placeholderLabel]='placeholderLabel' [noEntriesFoundLabel]='noEntriesFoundLabel'></ngx-mat-select-search>
                        <mat-option *ngFor="let e of filteredEquipments1Multi | async" [value]="e.equip_ID">{{e.equip_Name}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <!-- equipment1 multiselect section  -->

                <!-- equipment2 multiselect section  -->
                <mat-form-field *ngIf="equipments2?.length > 0">
                    <mat-select [formControl]="equipment2MultiCtrl" placeholder="نوع مدل" [(ngModel)]="user_equipment.equip_ID" required [multiple]="false" #multiSelectEquipment2 (selectionChange)="onChangeEQ3($event)">
                        <ngx-mat-select-search [formControl]="equipment2MultiFilterCtrl" [placeholderLabel]='placeholderLabel' [noEntriesFoundLabel]='noEntriesFoundLabel'></ngx-mat-select-search>
                        <mat-option *ngFor="let e of filteredEquipments2Multi | async" [value]="e.equip_ID">{{e.equip_Name}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <!-- equipment2 multiselect section  -->
            </div>

            <div class="form-group">
                <mat-form-field>
                    <input type="text" matInput id="shserial" placeholder="شماره سریال ..." [(ngModel)]="user_equipment.shSerial" name="shSerial" required #shSerial="ngModel">
                </mat-form-field>

                <mat-form-field>
                    <input type="text" matInput id="shamval" placeholder="شماره اموال ..." [(ngModel)]="user_equipment.shAmval" name="shAmval" required #shAmval="ngModel">
                </mat-form-field>
            </div>

            <!-- -------------------------------------case option ---------------------------------------------- -->
            <div *ngIf="iscase">
                <div class="form-group">
                    <mat-form-field class="my-select-panel-class">
                        <mat-select placeholder="(RAM)نوع حافظه داخلی را انتخاب کنید" [(ngModel)]="user_equipment.desc1" name="desc1" required #desc1="ngModel" [multiple]="false">
                            <mat-option value="DDR">DDR</mat-option>
                            <mat-option value="DDR2">DDR2</mat-option>
                            <mat-option value="DDR3">DDR3</mat-option>
                        </mat-select>
                    </mat-form-field>

                    <mat-form-field class="my-select-panel-class">
                        <mat-select placeholder="(RAM)اندازه حافظه داخلی را انتخاب کنید" [(ngModel)]="user_equipment.desc2" name="desc2" required #desc2="ngModel" [multiple]="false">
                            <mat-option value="512MB">512MB</mat-option>
                            <mat-option value="1GB">1GB</mat-option>
                            <mat-option value="2GB">2GB</mat-option>
                            <mat-option value="2GB">3GB</mat-option>
                            <mat-option value="4GB">4GB</mat-option>
                            <mat-option value="8GB">8GB</mat-option>
                            <mat-option value="16GB">16GB</mat-option>
                            <mat-option value="32GB">32GB</mat-option>
                            <mat-option value="32GB">44GB</mat-option>
                            <mat-option value="48GB">48GB</mat-option>
                            <mat-option value="64GB">64GB</mat-option>
                        </mat-select>
                    </mat-form-field>

                </div>


                <div class="form-group">
                    <mat-form-field class="my-select-panel-class">
                        <mat-select placeholder="(CPU)نوع پردازنده  را انتخاب کنید" [(ngModel)]="user_equipment.desc3" name="desc3" required #desc3="ngModel" [multiple]="false">
                            <mat-option value="Celeron">Celeron</mat-option>
                            <mat-option value="Pentium4">Pentium4</mat-option>
                            <mat-option value="DualCore">DualCore</mat-option>
                            <mat-option value="CoreI3">CoreI3</mat-option>
                            <mat-option value="CoreI5">CoreI5</mat-option>
                            <mat-option value="HexaCore">HexaCore</mat-option>
                        </mat-select>
                    </mat-form-field>

                    <mat-form-field class="my-select-panel-class">
                        <mat-select placeholder="(VGA)اندازه حافظه کارت گرافیکی را انتخاب کنید" [(ngModel)]="user_equipment.desc4" name="desc4" required #desc4="ngModel" [multiple]="false">
                            <mat-option value="512MB">512MB</mat-option>
                            <mat-option value="1GB">1GB</mat-option>
                            <mat-option value="2GB">2GB</mat-option>
                            <mat-option value="4GB">4GB</mat-option>
                        </mat-select>
                    </mat-form-field>

                    <mat-form-field class="my-select-panel-class">
                        <mat-select placeholder="(OS)نوع سیستم عامل را  انتخاب کنید" [(ngModel)]="user_equipment.desc5" name="desc5" required #desc5="ngModel" [multiple]="false">
                            <mat-option value="WindowsXP">WindowsXP</mat-option>
                            <mat-option value="Windows732">Windows732</mat-option>
                            <mat-option value="Windows764">Windows764</mat-option>
                            <mat-option value="Windows1032">Windows1032</mat-option>
                            <mat-option value="Windows1064">Windows1064</mat-option>
                            <mat-option value="ESXI6.0">ESXI6.0</mat-option>
                        </mat-select>
                    </mat-form-field>

                </div>

            </div>
            <!-- -------------------------------------printer option ---------------------------------------------- -->
            <div *ngIf="isprinter">
                <div class="form-group">
                    <mat-form-field class="my-select-panel-class">
                        <mat-select placeholder="نوع چاپگر  را انتخاب کنید" [(ngModel)]="user_equipment.desc1" name="desc1" required #desc1="ngModel" [multiple]="false">
                            <mat-option value="لیزری">لیزری</mat-option>
                            <mat-option value="سوزنی">سوزنی</mat-option>
                            <mat-option value="رنگی جوهر افشان">رنگی جوهر افشان</mat-option>
                            <mat-option value="رنگی لیزری">رنگی لیزری</mat-option>
                        </mat-select>
                    </mat-form-field>

                    <mat-form-field class="my-select-panel-class">
                        <mat-select placeholder="نوع کارتریج را انتخاب کنید" [(ngModel)]="user_equipment.desc2" name="desc2" required #desc2="ngModel" [multiple]="false">
                            <mat-option value="49A">49A(HP3392-HP3390-HP1320-HP1160)</mat-option>
                            <mat-option value="13A">13A(HP1300)</mat-option>
                            <mat-option value="05A">05A(HP2055-HP2035)</mat-option>
                            <mat-option value="53A">53A(HP2015-HP2014)</mat-option>
                            <mat-option value="101">101(SAMSUNG(ML216k-SCX340X-SF76X))</mat-option>
                            <mat-option value="L105">L105(SAMSUNG(ML191-2525-254-2580-SCX460-4610-4620-SF650-CF650))</mat-option>
                            <mat-option value="EP300">EP300</mat-option>
                            <mat-option value="MH800">MH800</mat-option>
                            <mat-option value="Tally">Tally Ribbon</mat-option>
                        </mat-select>
                    </mat-form-field>

                </div>

            </div>
            <!-- -------------------------------------scaner option ---------------------------------------------- -->
            <div *ngIf="isscaner">
                <div class="form-group">
                    <mat-form-field class="my-select-panel-class">
                        <mat-select placeholder="نوع اسکنر  را انتخاب کنید" [(ngModel)]="user_equipment.desc1" name="desc1" required #desc1="ngModel" [multiple]="false">
                            <mat-option value="تخت">تخت</mat-option>
                            <mat-option value="فیدر دار">فیدر دار</mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
            </div>
            <!-- -------------------------------------camera option ---------------------------------------------- -->
            <div *ngIf="iscamera">
                <div class="form-group">
                    <mat-form-field class="my-select-panel-class">
                        <mat-select placeholder="(RAM)اندازه حافظه داخلی را انتخاب کنید" [(ngModel)]="user_equipment.desc1" name="desc1" required #desc1="ngModel" [multiple]="false">
                            <mat-option value="2GB">2GB</mat-option>
                            <mat-option value="4GB">4GB</mat-option>
                            <mat-option value="8GB">8GB</mat-option>
                        </mat-select>
                    </mat-form-field>

                    <mat-form-field class="my-select-panel-class">
                        <mat-select placeholder="(LENS)نوع لنز  را انتخاب کنید" [(ngModel)]="user_equipment.desc2" name="desc2" required #desc2="ngModel" [multiple]="false">
                            <mat-option value="18-55">18-55</mat-option>
                            <mat-option value="18-135">18-135</mat-option>
                        </mat-select>
                    </mat-form-field>

                    <mat-form-field class="my-select-panel-class">
                        <mat-select placeholder="(FILTER)نوع فیلتر را انتخاب کنید" [(ngModel)]="user_equipment.desc3" name="desc3" required #desc3="ngModel" [multiple]="false">
                            <mat-option value="UV Filter">UV Filter</mat-option>
                        </mat-select>
                    </mat-form-field>

                </div>

                <div class="form-group">
                    <mat-form-field class="my-select-panel-class">
                        <mat-select placeholder="(Additional Battery)باطری اضافه" [(ngModel)]="user_equipment.desc4" name="desc4" required #desc4="ngModel" [multiple]="false">
                            <mat-option value="AdditionalBattery(YES)">دارد</mat-option>
                            <mat-option value="AdditionalBattery(YES)">ندارد</mat-option>
                        </mat-select>
                    </mat-form-field>

                    <mat-form-field class="my-select-panel-class">
                        <mat-select placeholder="(Charger)شارژر" [(ngModel)]="user_equipment.desc5" name="desc5" required #desc5="ngModel" [multiple]="false">
                            <mat-option value="Cahrger(YES)">دارد</mat-option>
                            <mat-option value="Charger(NO)">ندارد</mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
            </div>

        </form>
        <div class="button-row">
            <button mat-raised-button color="primary" [disabled]="!f.valid" (click)="submit()" *ngIf="!user_equipment.userEquip_ID">
        <mat-icon>add</mat-icon> ذخیره
      </button>
            <button mat-raised-button color="warn" [disabled]="!f.valid" (click)="submit()" *ngIf="user_equipment.userEquip_ID">
        <mat-icon>save</mat-icon> ثبت
      </button>
            <button mat-raised-button color="accent" (click)="delete()" *ngIf="user_equipment.userEquip_ID">
        <mat-icon>remove</mat-icon> حذف
      </button>
        </div>
        <br />
        <p *ngIf="equip_Name">نوع تجهیزات انتخاب شده : {{equip_Name}}</p>
    </mat-card-content>
</mat-card>